package cn.timer.api.controller.insure;

import cn.timer.api.bean.insure.CallBack;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.security.auth.callback.Callback;

/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/3 8:45
 */
@Api(tags = "8.0回调接口")
@RestController
@Transactional
@RequestMapping(value = "/callBack/policy", produces = {"application/json"})
public class CallBackContorll {
    private static final Logger log = LoggerFactory.getLogger(CallBackContorll.class);

    @PostMapping(value = "/insuredCallBack")
    @ApiOperation(value = "6.投保申请回调", httpMethod = "Post", notes = "投保申请回调")
    @ApiOperationSupport(order = 2)
    private Integer callBack(@RequestParam String pid, @RequestParam String sign, @RequestParam String timestamp, @RequestBody CallBack callBack){
        log.info(String.valueOf(callBack));
        return 1;
    }
}
